/**
 * @file test_network_stack.cpp
 * @brief Unit tests for NetworkStack component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "network_stack.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_network_stack_initialize(void)
{
    NetworkStack comp;
    bool result = comp.initialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(comp.isInitialized());
}

void test_network_stack_deinitialize(void)
{
    NetworkStack comp;
    comp.initialize();
    
    bool result = comp.deinitialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_FALSE(comp.isInitialized());
}

} // extern "C"
